%global momorel 5
# %%define cvsdate 20021009
%global subver b4
%global buildlibwrap 1
%global buildbsdppp 0
%global buildslirp 0
%global buildipalloc 0
%global buildpnsmode 0

Summary: A PPTP server daemon
Name: pptpd
Version: 1.1.4
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
# Packager: Andy Worthington <christopherandrew@ou.edu>
# Source: http://www.snapgear.com/ftp/poptop/%{name}-%{version}.tar.gz
# Source: http://telia.dl.sourceforge.net/sourceforge/poptop/%{name}-%{version}-%{cvsdate}.tar.gz
Source: http://telia.dl.sourceforge.net/sourceforge/poptop/%{name}-%{version}-%{subver}.tar.gz
NoSource: 0
Source1: pptpd-init
Source2: options.pptpd
# Patch0: pptpd-1.0.1-config.patch
URL: http://www.poptop.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: ppp >= 2.4.2, chkconfig

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out
connections to pptp clients to become virtual members of the IP pool
owned by the pptp server.  In effect, these clients become virtual
members of the local subnet, regardless of what their real IP address
is.  A tunnel is built between the pptp server and client, and packets
from the subnet are wrapped and passed between server and client
similar to other C/S protocols.

# allow --with[out] <feature> at rpm command line build
# e.g. --with ipalloc --without libwrap
# --with overrides --without
%{?_without_libwrap: %{expand: %%define buildlibwrap 0}}
%{?_without_bsdppp: %{expand: %%define buildbsdppp 0}}
%{?_without_slirp: %{expand: %%define buildslirp 0}}
%{?_without_ipalloc: %{expand: %%define buildipalloc 0}}
%{?_without_pnsmode: %{expand: %%define buildpnsmode 0}}
%{?_with_libwrap: %{expand: %%define buildlibwrap 1}}
%{?_with_bsdppp: %{expand: %%define buildbsdppp 1}}
%{?_with_slirp: %{expand: %%define buildslirp 1}}
%{?_with_ipalloc: %{expand: %%define buildipalloc 1}}
%{?_with_pnsmode: %{expand: %%define buildpnsmode 1}}

%prep
# %%setup -q 
# %%setup -q -n poptop
%setup -q -n poptop-%{version}
# %%patch0 -p1

%build
buildopts=""
%if %{buildlibwrap}
buildopts="$buildopts --with-libwrap"
%endif
%if %{buildbsdppp}
buildopts="$buildopts --with-bsdppp"
%endif
%if %{buildslirp}
buildopts="$buildopts --with-slirp"
%endif
%if %{buildipalloc}
buildopts="$buildopts --with-pppd-ip-alloc"
%endif
%if %{buildpnsmode}
buildopts="$buildopts --with-pns-mode"
%endif
%configure $buildopts
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/ppp
make DESTDIR=%{buildroot} install
install -m 0644 samples/pptpd.conf %{buildroot}%{_sysconfdir}/pptpd.conf
# install -m 0644 samples/options %{buildroot}%{_sysconfdir}/ppp/options.pptpd
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/ppp/options.pptpd
# install -m 0644 samples/chap-secrets %{buildroot}%{_sysconfdir}/ppp/chap-secrets
install -m 0755 %{SOURCE1} %{buildroot}%{_initscriptdir}/pptpd
mkdir -p %{buildroot}%{_bindir}
install -m 0755 tools/vpnuser %{buildroot}%{_bindir}/vpnuser
install -m 0755 tools/vpnstats %{buildroot}%{_bindir}/vpnstats
install -m 0755 tools/vpnstats.pl %{buildroot}%{_bindir}/vpnstats.pl

%post
/sbin/chkconfig --add pptpd

if [ -f /etc/conf.modules -a ! -f /etc/modules.conf ] ; then
   mv -f /etc/conf.modules /etc/modules.conf
fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp ppp_generic")
if [ -z "$TEMP" ]; then
        grep -v "alias ppp ppp_generic" /etc/modules.conf > /etc/modules.conf1;
        mv -f /etc/modules.conf1 /etc/modules.conf
fi
TEMP=$(cat /etc/modules.conf | grep "alias char-major-108 off")
if [ -n "$TEMP" ]; then
        grep -v "alias char-major-108 off" /etc/modules.conf > /etc/modules.conf1;
        mv -f /etc/modules.conf1 /etc/modules.conf
fi
TEMP=$(cat /etc/modules.conf | grep "alias char-major-108 ppp_generic")
if [ -z "$TEMP" ]; then echo "alias char-major-108 ppp_generic" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-18 ppp_mppe")
if [ -z "$TEMP" ]; then echo "alias ppp-compress-18 ppp_mppe" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-21 bsd_comp")
if [ -z "$TEMP" ]; then echo "alias ppp-compress-21 bsd_comp" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-24 ppp_deflate")
if [ -z "$TEMP" ]; then echo "alias ppp-compress-24 ppp_deflate" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias ppp-compress-26 ppp_deflate")
if [ -z "$TEMP" ]; then echo "alias ppp-compress-26 ppp_deflate" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias tty-ldisc-3 ppp_async")
if [ "$TEMP" = "" ]; then echo "alias tty-ldisc-3 ppp_async" >> /etc/modules.conf; fi
TEMP=$(cat /etc/modules.conf | grep "alias tty-ldisc-14 ppp_synctty")
if [ -z "$TEMP" ]; then echo "alias tty-ldisc-14 ppp_synctty" >> /etc/modules.conf; fi
depmod -a
OUTD="" ; for i in d manager ctrl ; do
    test -x /usr/bin/pptp$i && OUTD="$OUTD /usr/bin/pptp$i" ;
done
test -z "$OUTD" || \
{ echo "possible outdated executable detected; you should do run the following command:"; echo "rm -i $OUTD" ;}

%preun
if [ $1 = 0 ]; then
   %{_initscriptdir}/pptpd stop > /dev/null 2>&1
   /sbin/chkconfig --del pptpd
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO html samples
%{_sbindir}/pptpd
%{_sbindir}/pptpctrl
%{_bindir}/vpnuser
%{_bindir}/vpnstats
%{_bindir}/vpnstats.pl
%{_mandir}/man5/pptpd.conf.5*
%{_mandir}/man8/pptpd.8*
%{_mandir}/man8/pptpctrl.8*
%{_initscriptdir}/pptpd
%config(noreplace) %{_sysconfdir}/pptpd.conf
%config(noreplace) %{_sysconfdir}/ppp/options.pptpd
# %attr(0600,root,daemon) %config(noreplace) %{_sysconfdir}/ppp/chap-secrets

%changelog
* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.4-5m)
- stop daemon

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.4-4m)
- s/Copyright:/License:/

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.4-3m)
- kill %%define name

* Mon Sep 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.4-2m)
- revise options.pptpd for ppp-2.4.2

* Wed May 14 2003 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (1.1.4-1m)
- update to 1.1.4-b4 for security fix.

* Fri Oct 25 2002 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (1.1.3-1m)
- update to 1.1.3 CVS 20021009
- merge specs from Richard de Vroede <richard@linvision.com>

* Wed Apr 03 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.0.1-6k)
- chap-secrets nigirisugi

* Mon Mar 25 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.0.1-4k)
- rewrite initscript

* Mon Jan 09 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.0.1-2k)
- Kondarized.

* Mon Oct 9 2000 Andy Worthington <christopherandrew@ou.edu>
- changed url and source to new website
- added man pages to files
- removed startup via inittab
- added startup via init (%{_sysconfdir}/rc.d/init.d/)
- updated to 1.0.1

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- added "%config /etc/pptpd.conf" back to spec
- updated to 1.0.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- started changelog
- quiet setup
- changed prefix to be /usr instead of /usr/local
- added buildroot
- fixed %install section so that it uses buildroot
- updated source to 0.9.10
- built to be included into Powertools
- spec based heavily on spec by "Allan's Package-O-Matic Blenderfier"
